%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-rsslib
Version:        0
Release:        1%{?dist}
Summary:        Create RSS feeds in Python
License:        Copyright only
URL:            http://berserk.org/rsslib/
Source0:        http://berserk.org/rsslib/rsslib.txt
BuildArch:      noarch
BuildRequires:  python-devel


%description
This library encapsulates the generation of an RSS (2.0) feed.


%prep
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

cp %{SOURCE0} ./rsslib.py
cat >setup.py <<EOS
#!/usr/bin/env python

from distutils.core import setup

setup(name='rsslib',
      version='0',
      description='%{summary}',
      author='Cameron Mallory',
      author_email='cmallory@berserk.org',
      url='http://berserk.org/rsslib/',
      py_modules=['rsslib'],
     )
EOS


%build
cd %{name}-%{version}
python setup.py build


%install
rm -rf %{buildroot}
cd %{name}-%{version}
python setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{python_sitelib}/*


%changelog
* Sat Mar 2 2013 Conrad Meyer <cemeyer@uw.edu> - 0-1
- Initial package
